#!/bin/bash
# 
# This Shell script concatenates multiple *.mmd files.
# It reads the files to concatenate from another text file,
# "something.collection". In "something.collection" each
# *.mmd is listed in the correct order, line by line.
#
#      ./mk-mmd-from-collection.sh  something.collection
#
# I had to do this because I was not able to find out how to
# properly do it with native 'make'.

PATH=~/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin

export _date=$(date "+%Y-%m-%d--%H-%M-%S")

_date_=$(date "+%Y-%m-%d, %H:%M:%S h")

#set -x
cat ${1/.mmd/.collection} \
| grep -v "^$" \
| grep -v "^#" \
| while read line ;
do
    echo "Concatenating ${line} into ${1}..."
    cat "${line}" \
    | sed 's#___date___#'"${_date_}"'#g' \
    >> "${1}" ;
done

cp  "${1}"  "${1}_"

#rm -rf ${1}_*
